2. Check the result
2.1. Search - Check the result of the data crawling
GET
https://popbill-test.linkhub.co.kr/HomeTax/Taxinvoice/{jobID}
GET
https://popbill.linkhub.co.kr/HomeTax/Taxinvoice/{jobID}
- This API checks the crawled sales/purchase tax invoices with an active JobID request that is validated via [GetJobState – Check the data crawling status] API.
- We recommend to use this API when a user implements the list of e-Tax invoices with items related to the page (variables : Page, perPage, Order).
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| jobID | string | 18 | Y |
Request ID(JobID)
return value of [RequestJob – Request for data crawling] API
|
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| Type | string | - | N |
Type of e-Tax invoice (multiple choice is possible)
Ngeneral
M[revised] e-Tax invoice
Separate with a comma(',') for multiple selections. e.g. N,M
search all if not entered
|
|
| TaxType | string | - | N |
Taxation Type (Multiple selections allowed)
Ttaxable
Nexempted
Zzero-rated
Separate with a comma(',') for multiple selections. e.g. T,N
search all if not entered
|
|
| PurposeType | string | - | N |
Payments received or not (multiple choice is possible)
Rpayment received
Cpayment not received
Nnone
Separate with a comma(',') for multiple selections. e.g. R,C
search all if not entered
|
|
| TaxRegIDYN | string | 1 | N |
Whether the Identification number for branch place exists or not.
0does not exist
1exist
search all if not entered
|
|
| TaxRegIDType | string | 1 | N |
Type of the Identification number branch place
Sseller
Bbuyer
Tconsigned
search all if not entered
|
|
| TaxRegID | string | - | N |
Identification number for branch place
Separate with a comma(',') for multiple searches. e.g. 1234,1000
search all if not entered
|
|
| Page | number | - | N |
Page number
default value : 1
|
|
| PerPage | number | - | N |
The number of list to be displayed per page
maximum : 1,000
Default : 500
|
|
| Order | string | 1 | N |
Sort order related to the value of {DType}
Ddescending (default)
Aascending
|
|
| SearchString | string | 13 | N |
Search information
└ company name └ business registration number └ resident registration number └ 9999999999999 : foreigner enter registration number without a hyphen(‘-’)
search all if not entered
|
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Taxinvoice/{jobID}?Type={Type}&TaxType={TaxType}&PurposeType={PurposeType}&TaxRegIDYN={TaxRegIDYN}&TaxRegIDType={TaxRegIDType}&TaxRegID={TaxRegID}&Page={Page}&PerPage={PerPage}&Order={Order}&SearchString={SearchString}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | number | - |
API response code
1Success
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | number | - | Total number of search results | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| perPage | number | - | Number of items per page | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageNum | number | - | Page number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageCount | number | - | Number of pages | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| list | array | - |
Summarized information of tax invoice
maximum : 1,000 invoices
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"code": 1,
"total": 1010,
"perPage": 500,
"pageNum": 1,
"pageCount": 3,
"list": [
{
"invoiceType": "매출",
"ntsconfirmNum": "202510204100020300007559",
"writeDate": "20251020",
"issueDate": "20251020",
"sendDate": "20251021",
"taxType": "과세",
"purposeType": "영수",
"modifyYN": false,
"invoicerCorpNum": "6798700433",
"invoicerCorpName": "(주)링크허브",
"invoicerCEOName": "이형국",
"invoicerEmail": "tax@linkhubcorp.com",
"invoiceeCorpNum": "6568702554",
"invoiceeType": "사업자",
"invoiceeCorpName": "(주)올림포스네트웍스",
"invoiceeCEOName": "원종훈",
"invoiceeEmail1": "olympos9983@olymposnetworks.com",
"trusteeCorpName": "",
"supplyCostTotal": "100000",
"taxTotal": "10000",
"totalAmount": "110000",
"remark1": "입금자명 : 주식회사올림포스네",
"purchaseDate": "20251020",
"itemName": "팝빌 파트너 포인트 충전",
"supplyCost": "100000",
"tax": "10000"
}
]
}
2.2. Summary - Check the summarized information for the data crawling result
GET
https://popbill-test.linkhub.co.kr/HomeTax/Taxinvoice/{jobID}/Summary
GET
https://popbill.linkhub.co.kr/HomeTax/Taxinvoice/{jobID}/Summary
- This API checks the summarized information of crawled sales/purchase tax invoices with an active JobID request that is validated via [GetJobState – Check the data crawling status] API.
※ content of information : number of crawled tax invoices, supplyCostTotal, taxTotal, totalAmount
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| jobID | string | 18 | Y |
Request ID(JobID)
returned value of [RequestJob - Request for data crawling] API
|
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| Type | string | - | N |
Type of e-Tax invoice (multiple choice is possible)
Ngeneral
M[revised] e-Tax invoice
Separate with a comma(',') for multiple selections. e.g. N,M
search all if not entered
|
|
| TaxType | string | - | N |
Taxation Type (Multiple selections allowed)
Ttaxable
Nexempted
Zzero-rated
Separate with a comma(',') for multiple selections. e.g. T,N
search all if not entered
|
|
| PurposeType | string | - | N |
Payments received or not (multiple choice is possible)
Rpayment received
Cpayment not received
Nnone
Separate with a comma(',') for multiple selections. e.g. R,C
search all if not entered
|
|
| TaxRegIDYN | string | 1 | N |
Whether the Identification number for branch place exists or not.
0does not exist
1exist
search all if not entered
|
|
| TaxRegIDType | string | 1 | N |
Type of the Identification number branch place
Sseller
Bbuyer
Tconsigned
search all if not entered
|
|
| TaxRegID | string | - | N |
Identification number for branch place
Separate with a comma(',') for multiple searches.
e.g. 1234,1000 search all if not entered
|
|
| SearchString | string | 13 | N |
Search information
- Enter Company name when searching by company name - Enter Business Registration Number when searching by company - Enter Resident Registration Number when searching by individual - Enter "9999999999999" when searching by Foreigner search all if not entered
|
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Taxinvoice/{jobID}/Summary?Type={Type}&TaxType={TaxType}&PurposeType={PurposeType}&TaxRegIDYN={TaxRegIDYN}&TaxRegIDType={TaxRegIDType}&TaxRegID={TaxRegID}&SearchString={SearchString}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| count | number | - | Number of crawled data | |
| supplyCostTotal | number | 18 | Sum of supply values | |
| taxTotal | number | 18 | Sum of tax amount | |
| amountTotal | number | 18 | Total amount(Total Supply Cost + Total tax) |
Response Example
{
"count": 1010,
"supplyCostTotal": 352516478,
"taxTotal": 35251654,
"amountTotal": 387768132
}
2.3. GetTaxinvoice - Check the detailed information of an e-Tax invoice (JSON)
GET
https://popbill-test.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}
GET
https://popbill.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}
- This API checks the crawled sales/purchase tax invoices with an active JobID request that is validated via [GetJobState – Check the data crawling status] API.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ntsConfirmNum | string | 24 | Y | NTS confirmation number |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Taxinvoice/{ntsConfirmNum}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| writeDate | string | 8 |
Date of preparation
format : yyyyMMdd
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| issueDT | string | 14 |
Date and time of the issuance
format : yyyyMMddHHmmss
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceType | number | 3 |
Type of the e-Tax invoice
101general tax invoice
102zero-rated tax invoice
103consigned tax invoice
104import tax invoice
105consigned tax invoice(zero-rated)
201[revised] tax invoice
202[revised] tax invoice(zero-rated)
203[revised] tax invoice(consigned)
204[revised] tax invoice(import)
205[revised] tax invoice(zero-rated, consigned)
301general invoice(tax exemption)
303consigned invoice(tax exemption)
304import invoice(tax exemption)
401[revised] general invoice(tax exemption)
403[revised] consigned invoice(tax exemption)
404[revised] import invoice(tax exemption)
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| taxType | string | 2 |
Taxation Type
과세taxable
영세zero-rated
면세exempted
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| taxTotal | string | 18 | Sum of tax amount | |||||||||||||||||||||||||||||||||||||||||||||||||||
| supplyCostTotal | string | 18 | Sum of supply values | |||||||||||||||||||||||||||||||||||||||||||||||||||
| totalAmount | string | 18 | Total amount | |||||||||||||||||||||||||||||||||||||||||||||||||||
| purposeType | string | 2 |
Payments received or not
영수payment received
청구payment not received
없음none
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| serialNum | string | 30 | Serial number | |||||||||||||||||||||||||||||||||||||||||||||||||||
| cash | string | 18 | Cash | |||||||||||||||||||||||||||||||||||||||||||||||||||
| chkBill | string | 18 | Check | |||||||||||||||||||||||||||||||||||||||||||||||||||
| credit | string | 18 | Credit | |||||||||||||||||||||||||||||||||||||||||||||||||||
| note | string | 18 | Note | |||||||||||||||||||||||||||||||||||||||||||||||||||
| remark1 | string | 150 | Remark 1 | |||||||||||||||||||||||||||||||||||||||||||||||||||
| remark2 | string | 150 | Remark 2 | |||||||||||||||||||||||||||||||||||||||||||||||||||
| remark3 | string | 150 | Remark 3 | |||||||||||||||||||||||||||||||||||||||||||||||||||
| ntsconfirmNum | string | 24 | NTS confirmation number | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerCorpNum | string | 10 | [Seller] business registration number | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerMgtKey | string | 24 | [Seller] document ID | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerTaxRegID | string | 4 |
[Seller] identification number of a branch place
4 digits
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerCorpName | string | 200 | [Seller] company name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerCEOName | string | 100 | [Seller] CEO name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerAddr | string | 300 | [Seller] company address | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerBizType | string | 100 | [Seller] type of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerBizClass | string | 100 | [Seller] items of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerContactName | string | 100 | [Seller] name of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerDeptName | string | 100 | [Seller] department of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerTEL | string | 20 | [Seller] contact number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerEmail | string | 100 | [Seller] email of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeCorpNum | string | 13 |
[Buyer] business registration number
- if {invoiceeType} = 사업자(business proprietor type) : business registration number, 10 digits except a hyphen(‘-’) - if {invoiceeType} = 개인(individual type) : resident registration number, 13 digits except a hyphen(‘-’) - if {invoiceeType} = 외국인(foreigner type) : 9999999999999 |
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeType | string | 3 |
[Buyer] type of customer
사업자business proprietor
개인individual
외국인foreigner
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeMgtKey | string | 24 | [Buyer] document ID | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeTaxRegID | string | 4 |
[Buyer] identification number of a branch place
4 digits
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeCorpName | string | 200 | [Buyer] company name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeCEOName | string | 100 | [Buyer] CEO name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeAddr | string | 300 | [Buyer] company address | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeBizType | string | 100 | [Buyer] type of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeBizClass | string | 100 | [Buyer] items of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeContactName1 | string | 100 | [Buyer] name of the primary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeDeptName1 | string | 100 | [Buyer] department of the primary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeTEL1 | string | 20 | [Buyer] contact number of the primary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeEmail1 | string | 100 | [Buyer] email of the primary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeContactName2 | string | 100 | [Buyer] name of the secondary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeDeptName2 | string | 100 | [Buyer] department of the secondary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeTEL2 | string | 20 | [Buyer] contact number of the secondary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeEmail2 | string | 100 | [Buyer] email of the secondary person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeCorpNum | string | 10 | [Consignee] business registration number | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeMgtKey | string | 24 | [Consignee] document ID | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeTaxRegID | string | 4 |
[Consignee] identification number of a branch place
4 digits
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeCorpName | string | 200 | [Consignee] company name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeCEOName | string | 100 | [Consignee] CEO name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeAddr | string | 300 | [Consignee] company address | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeBizType | string | 100 | [Consignee] type of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeBizClass | string | 100 | [Consignee] items of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeContactName | string | 100 | [Consignee] name of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeDeptName | string | 100 | [Consignee] department of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeTEL | string | 20 | [Consignee] contact number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| trusteeEmail | string | 100 | [Consignee] email of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| modifyCode | number | 1 |
Reason for revocation
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| orgNTSConfirmNum | string | 24 | NTS confirmation number of the original tax invoice | |||||||||||||||||||||||||||||||||||||||||||||||||||
| detailList | array | - |
Detailed list of items
maximum : 99
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"writeDate": "20251020",
"issueDT": "20251020194612",
"invoiceType": 101,
"taxType": "과세",
"invoicerCorpNum": "6798700433",
"invoicerMgtKey": "202510200000000007",
"invoicerCorpName": "(주)링크허브",
"invoicerCEOName": "이형국",
"invoicerAddr": "광주 북구 하남대로 705, LS빌딩 4층",
"invoicerBizClass": "소프트웨어개발및공급",
"invoicerBizType": "서비스",
"invoicerContactName": "회계팀",
"invoicerTEL": "16008536",
"invoicerEmail": "test@test.com",
"invoiceeCorpNum": "1234567890",
"invoiceeType": "사업자",
"invoiceeCorpName": "공급받는자 상호",
"invoiceeCEOName": "공급받는자 대표자 성명",
"invoiceeAddr": "공급받는자 주소",
"invoiceeBizType": "공급받는자 업태",
"invoiceeBizClass": "공급받는자 종목",
"invoiceeContactName1": "공급받는자 주) 담당자 성명",
"invoiceeTEL1": "01012345678",
"invoiceeEmail1": "test@test.com",
"taxTotal": "10000",
"supplyCostTotal": "100000",
"totalAmount": "110000",
"purposeType": "영수",
"remark1": "비고1",
"ntsconfirmNum": "202510204100020300007559",
"detailList": [
{
"serialNum": 1,
"purchaseDT": "20251020",
"itemName": "팝빌 파트너 포인트 충전",
"supplyCost": "100000",
"tax": "10000"
}
]
}
2.4. GetXML - Return an e-Tax invoice into an XML file
POST
https://popbill-test.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}
POST
https://popbill.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}
- This API returns the detailed information of a single crawled e-Tax invoice into an XML file.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ntsConfirmNum | string | 24 | Y | NTS confirmation number |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| T | string | - | Y | Fixed value : xml |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Taxinvoice/{ntsConfirmNum}?T=xml' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| ResultCode | number | - |
API response code
1Success
|
|
| Message | string | - | API response message | |
| retObject | string | - | XML file of an e-Tax invoice |
Response Example
{
"ResultCode": 1,
"Message": "202510204100020300007559",
"retObject": "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>\n<TaxInvoice..."
}
2.5. GetPopUpURL - URL to view the crawled e-Tax invoice
GET
https://popbill-test.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}/PopUp
GET
https://popbill.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}/PopUp
- This API returns a URL to check the detailed information of a single crawled e-Tax invoice.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ntsConfirmNum | string | 24 | Y | NTS confirmation number |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Taxinvoice/{ntsConfirmNum}/PopUp' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Returned URL of response on the request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
2.6. GetPrintURL - URL to print the crawled e-Tax invoice
GET
https://popbill-test.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}/Print
GET
https://popbill.linkhub.co.kr/HomeTax/Taxinvoice/{ntsConfirmNum}/Print
- This API returns a URL to print the detailed information of a single crawled e-Tax invoice.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ntsConfirmNum | string | 24 | Y | NTS confirmation number |
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Taxinvoice/{ntsConfirmNum}/Print' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Returned URL of response on the request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
